- [HTTP request](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#body.ListEvaluationResultsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#body.aspect_1)
- [EvaluationResult](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#EvaluationResult)
  - [JSON representation](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#EvaluationResult.SCHEMA_REPRESENTATION)

Gets a list of results for a given a `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations#Evaluation`.

### HTTP request

Choose an endpoint:
global us   
`GET https://discoveryengine.googleapis.com/v1beta/{evaluation=projects/*/locations/*/evaluations/*}:listResults`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `evaluation` | `string` Required. The evaluation resource name, such as `projects/{project}/locations/{location}/evaluations/{evaluation}`. If the caller does not have permission to list `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#EvaluationResult` under this evaluation, regardless of whether or not this evaluation set exists, a `PERMISSION_DENIED` error is returned. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Maximum number of `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#EvaluationResult` to return. If unspecified, defaults to 100. The maximum allowed value is 1000. Values above 1000 will be coerced to 1000. If this field is negative, an `INVALID_ARGUMENT` error is returned. |
| `pageToken` | `string` Optional. A page token `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#body.ListEvaluationResultsResponse.FIELDS.next_page_token`, received from a previous `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#google.cloud.discoveryengine.v1beta.EvaluationService.ListEvaluationResults` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#google.cloud.discoveryengine.v1beta.EvaluationService.ListEvaluationResults` must match the call that provided the page token. Otherwise, an `INVALID_ARGUMENT` error is returned. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#google.cloud.discoveryengine.v1beta.EvaluationService.ListEvaluationResults` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "evaluationResults": [ { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#EvaluationResult`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `evaluationResults[]` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#EvaluationResult`)`` The evaluation results for the `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets.sampleQueries#SampleQuery`s. |
| `nextPageToken` | `string` A token that can be sent as `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/listResults#body.QUERY_PARAMETERS.page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `evaluation` resource:

- `discoveryengine.evaluations.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## EvaluationResult

Represents the results of an evaluation for a single `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets.sampleQueries#SampleQuery`.

| JSON representation |
|---|
| ``` { "sampleQuery": { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets.sampleQueries#SampleQuery`) }, "qualityMetrics": { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations#QualityMetrics`) } } ``` |

| Fields ||
|---|---|
| `sampleQuery` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets.sampleQueries#SampleQuery`)`` Output only. The `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets.sampleQueries#SampleQuery` that was evaluated. |
| `qualityMetrics` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations#QualityMetrics`)`` Output only. The metrics produced by the evaluation, for a given `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.sampleQuerySets.sampleQueries#SampleQuery`. |